apiVersion: v1
kind: ConfigMap
metadata:
  name: imxc-ui-config
  namespace: imxc

data:
  properties.file: |
    api.url = {{ .Values.global.SERVELET_URL_PROTOCOL }}://{{ .Values.global.ZUUL_SERVER_IP }}:{{ .Values.global.ZUUL_SERVER_PORT }}
  config.js: |
    window.appEnv = {
        offlineAccess: "{{ .Values.global.OFFLINEACCESS }}",
        backLogin: "{{ .Values.global.BACKLOGIN }}",
        // Env Settings servletURL
        servletURL: "{{ .Values.global.SERVELET_URL_PROTOCOL }}://{{ .Values.global.ZUUL_SERVER_IP }}:{{ .Values.global.ZUUL_SERVER_PORT }}",
        // Env Settings socketURL
        socketURL: "http://{{ .Values.global.NOTI_SERVER_IP }}:{{ .Values.global.NOTI_SERVER_PORT }}/ui-server-websocket",
        // Env Settings interMaxURL
        // ex) ~/intermax/?paConnect=1&paType=ResponseInspector&fromTime=1556096539206&toTime=1556096599206&serverName=jeus89
        interMaxURL: "http://{{ .Values.global.INTERMAX_IP }}:{{ .Values.global.INTERMAX_PORT }}/intermax/?",

        manualURL: "http://{{ .Values.global.CMOA_MANUAL_SERVER_IP }}:{{ .Values.global.CMOA_MANUAL_PORT }}",
        // Env Settings CloudMOA Version
        version: '{{ .Values.global.CLOUDMOA_VERSION }}',
        loginType: 'keycloak',
        keyCloak: {
             "realm": "{{ .Values.global.KEYCLOAK_REALM }}",
             "auth-server-url": "{{ .Values.global.KEYCLOAK_AUTH_SERVER_URL }}",
             "ssl-required": "none",
             "resource": "{{ .Values.global.KEYCLOAK_RESOURCE }}",
             "public-client": true,
             "confidential-port": 0
           },
        // refreshTime: '4', // 리로드 주기 설정 4로 설정시 새벽 4시에 리로드 하게 됨
    	intervalTime: { // 5의 배수여야만 함
          short: 5,
          medium: 10,
          long: 60,
        },
    	// excludedContents: {
          // anomalyScoreSettings: true, // entity black list setting page
          // anomalyScoreInSidebar: true, // anomaly score in side bar
        // },
        serviceTraceAgentType: 'jspd'
    };
